> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developer.nibtravelinsurance.com/reference/products-api/plan/configuration-by-id/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.nibtravelinsurance.com/_mcp/server. # Configuration by ID GET https://api-staging.nibtravelinsurance.com/products/v1/{brandCode}/plans/{planId} Reference: https://developer.nibtravelinsurance.com/reference/products-api/plan/configuration-by-id ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `brandCode` (enum, required) — Brand code - Allowed values: `nibau`, `nibnz`, `tidau`, `wn` - `planId` (long, required, default: 0) — A valid Plan ID - see /underwriters ### Query parameters - `preferredDocumentFileType` (string, optional) - `lang` (string, optional) - `partnerCode` (string, optional) - `effectiveAt` (string, optional) — The point in time which the response relates to ## Response ### 200 Success - `expirySeconds` (integer, optional) - `planId` (long, optional, default: 0) - `code` (string, optional) - `name` (string, optional) - `insuranceContractId` (long, optional, default: 0) - `policyNumberPrefix` (string, optional) - `policyNumberFormat` (string, optional) - `underwriterCode` (string, optional) - `currencyCode` (string, optional) - `homeCountryCodes` (list of string, optional) - `pdsUrl` (string, optional) - `purchaseTermsAndConditions` (list of TermConditionSummary, optional) - `overrideJurisdictionCountryCode` (string, optional) - `overrideJurisdictionProvinceCode` (string, optional) - `effectiveFromDate` (string, optional) - `effectiveToDate` (string, optional) - `availableTranslations` (map from string to string, optional) - `quoteType` (string, optional) - `brandCode` (string, optional) ## Types ### TermConditionSummary - `termConditionId` (long, optional, default: 0) - `customerDeclarationText` (string, optional) - `tokenReplacements` (list of TokenReplacement, optional) - `countryCode` (string, optional) - `provinceCode` (string, optional) - `policyActionTypeId` (long, optional, default: 0) - `destinationCountryCodes` (list of string, optional) - `partnerGroupIds` (list of long, optional) ### TokenReplacement - `token` (string, optional) - `label` (string, optional) - `url` (string, optional) - `underwriterContentType` (string, optional) ## Examples **Response** ```json { "expirySeconds": 86400, "planId": 280, "code": "AUSTANDARD", "name": "Standard", "insuranceContractId": 40, "policyNumberPrefix": "WN", "policyNumberFormat": "[Prefix][JurisdictionCountryCode][Year][IncrementNumber]", "underwriterCode": "piiau", "currencyCode": "AUD", "homeCountryCodes": [ "AUS" ], "pdsUrl": "v2/wn/insuranceContract/40/pds?preferredDocumentFileType=HTML&planId=280&lang=en", "purchaseTermsAndConditions": [ { "termConditionId": 2421, "customerDeclarationText": "I/we have read, understood and agree to the terms and conditions in the DOCUMENT0, including Your Duty to Us, and I/we agree to receive all policy documents electronically.", "tokenReplacements": [ { "token": "DOCUMENT0", "label": "Product Disclosure Statement", "url": "/v1/wn/regulatoryWordingDocuments/1069" } ], "countryCode": "AUS", "provinceCode": "provinceCode", "policyActionTypeId": 1, "destinationCountryCodes": [ "destinationCountryCodes" ], "partnerGroupIds": [ 1000000 ] }, { "termConditionId": 2423, "customerDeclarationText": "I confirm that all people named on the policy are UNDERWRITERCONTENT0 of Australia.", "tokenReplacements": [ { "token": "UNDERWRITERCONTENT0", "label": "residents", "underwriterContentType": "RESIDENTDEFINITIONTEXT" } ], "countryCode": "AUS", "provinceCode": "provinceCode", "policyActionTypeId": 1, "destinationCountryCodes": [ "destinationCountryCodes" ], "partnerGroupIds": [ 1000000 ] }, { "termConditionId": 2447, "customerDeclarationText": "I/we understand that this policy does not cover losses arising from government intervention including broadly imposed quarantine or border closures; that travel advice may impact our cover and there is no cover for any events that there is a ‘Do Not Travel’ warning for in our destination.", "tokenReplacements": [ {} ], "countryCode": "AUS", "provinceCode": "provinceCode", "policyActionTypeId": 1, "destinationCountryCodes": [ "destinationCountryCodes" ], "partnerGroupIds": [ 1000000 ] }, { "termConditionId": 2444, "customerDeclarationText": "I/we understand this policy will not cover existing medical conditions, except automatically covered conditions and when all criteria are met.", "tokenReplacements": [ {} ], "countryCode": "AUS", "provinceCode": "provinceCode", "policyActionTypeId": 1, "destinationCountryCodes": [ "destinationCountryCodes" ], "partnerGroupIds": [ 1000000 ] }, { "termConditionId": 2448, "customerDeclarationText": "I/we have read in full and accept the Privacy Policy and agree for personal details to be used to provide travel insurance services.", "tokenReplacements": [ {} ], "countryCode": "AUS", "provinceCode": "provinceCode", "policyActionTypeId": 1, "destinationCountryCodes": [ "destinationCountryCodes" ], "partnerGroupIds": [ 1000000 ] } ], "overrideJurisdictionCountryCode": "overrideJurisdictionCountryCode", "overrideJurisdictionProvinceCode": "overrideJurisdictionProvinceCode", "effectiveFromDate": "effectiveFromDate", "effectiveToDate": "effectiveToDate", "availableTranslations": { "key": "value" }, "quoteType": "SINGLETRIP", "brandCode": "brandCode" } ``` **SDK Code** ```python World Nomads - Plan Id 280 import requests url = "https://api-staging.nibtravelinsurance.com/products/v1/nibau/plans/1000000" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript World Nomads - Plan Id 280 const url = 'https://api-staging.nibtravelinsurance.com/products/v1/nibau/plans/1000000'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go World Nomads - Plan Id 280 package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api-staging.nibtravelinsurance.com/products/v1/nibau/plans/1000000" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby World Nomads - Plan Id 280 require 'uri' require 'net/http' url = URI("https://api-staging.nibtravelinsurance.com/products/v1/nibau/plans/1000000") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java World Nomads - Plan Id 280 import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api-staging.nibtravelinsurance.com/products/v1/nibau/plans/1000000") .header("Authorization", "Bearer ") .asString(); ``` ```php World Nomads - Plan Id 280 request('GET', 'https://api-staging.nibtravelinsurance.com/products/v1/nibau/plans/1000000', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp World Nomads - Plan Id 280 using RestSharp; var client = new RestClient("https://api-staging.nibtravelinsurance.com/products/v1/nibau/plans/1000000"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift World Nomads - Plan Id 280 import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api-staging.nibtravelinsurance.com/products/v1/nibau/plans/1000000")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```